Ticket #32749

IME使用時にShift+Spaceの別幅空白のキーエコーがない

Open Date: 2013-12-29 20:44 Last Update: 2014-01-27 18:57

Reporter: nishimoto Owner: (None)
Type: Bugs Status: Closed
Component: IME MileStone: 2014.1jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

IME 使用時(文字変換モード)でスペースを押すと一般的に全角スペースの入力になりますが、この状態で Shift+Space を押すと半角スペースが入力できる機能=「別幅空白」がキーエコーされないというご報告をいただいています。

具体的に確認および報告された状況は、以下の通りです。

  • NVDA 2013.3jp + Windows 8.1 +メモ帳 : Microsoft IME では別幅空白を読まない。ATOK 2013 は文字変換モードで Shift+スペースを「スペース」と読む。
  • NVDA 2013.3jp + Windows 7 : Google 日本語入力, Microsoft Office IME 2010, Baidu IME のいずれにおいても別幅空白を読まない。

なお「別幅空白」は Microsoft IME での呼び方です。また、現状の NVDA 日本語版では、IME のキー割り当てのカスタマイズが行われた場合の動作は保証されません。

Attachment File List

No attachments

Ticket History (3/3 Histories)

2013-12-29 20:44 Updated by: nishimoto
  • New Ticket "IME使用時にShift+Spaceの別幅空白のキーエコーがない" created
2014-01-23 22:33 Updated by: nishimoto
  • Milestone Update from (None) to 2014.1jp (closed)
  • Resolution Update from None to Fixed
Comment

本件に関する修正を行い、Windows 8.1 + メモ帳 + Microsoft IME で Shift+Space のキーエコー動作を確認しました。

日本語テスト版 jpbeta130123

https://dl.dropboxusercontent.com/u/62564469/nvda_jpbeta140123.exe

bitbucket branch ti32749 changeset 64ba465 にコミットしました。

https://bitbucket.org/nvdajp/nvdajp/commits/64ba46557f506ac67f5513574fca13466709e2c9

2014-01-27 18:57 Updated by: nishimoto
  • Ticket Close date is changed to 2014-01-27 18:57
  • Status Update from Open to Closed
Comment

本作業は jpbranch にマージして、このチケットはクローズします。

To ssh://git@bitbucket.org/nvdajp/nvdajp.git
   4a65ec8..76b8232  jpbranch -> jpbranch

不具合があればご報告ください。

Edit

Please login to add comment to this ticket » Login